
package utilizacionwhile;

public class UtilizacionWhile {

    public static void main(String[] args) {
        
        int contador = 1;
        while ( contador <= 10 )
            contador++;
        
        System.out.println("al finalizar la repetición la variable contador tiene el valor de : "+contador);

        //----------------------------------------------------------
        
        contador = 1;
        while ( contador <= 10 ) {
            System.out.println("el valor de la variable contador es : "+contador);
            contador++;
        } 

        //-----------------------------------------------------------
        
        int contadorPares = 0;
        int acumuladorPares = 0;
        int contadorImpares = 0;
        int acumuladorImpares = 0;
               
        int i = 1;
        while ( i <= 10 ) {           
            if (i % 2 == 0)
            {
                contadorPares++;
                acumuladorPares+=i;             
            }              
            else
            {
                contadorImpares++;
                acumuladorImpares+=i;             
            }       
            
            i++;
        } 
        System.out.println("Se han procesado "+contadorPares+" números pares, y su suma es "+acumuladorPares);
        System.out.println("Se han procesado "+contadorImpares+" números impares, y su suma es "+acumuladorImpares);
    }  
}
